Summary: Basic authentication for the Apache web server using a MySQL database.
Name: mod_auth_mysql
Version: 1.11
Release: 1
Group: System Environment/Daemons
URL: ftp://ftp.kciLink.com/pub/
Source: ftp://ftp.kciLink.com/pub/mod_auth_mysql.c.gz
Source1: ftp://ftp.kciLink.com/pub/mysql-group-auth.txt
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, mysql-devel
Requires: webserver

%description
mod_auth_mysql can be used to limit access to documents served by a web server
by checking data in a MySQL database.

%prep
%setup -c -T
cp %{SOURCE0} %{SOURCE1} .
gunzip %{name}.c
cat %{name}.c | tail +84 | head -101 > %{name}.txt

%build
%{_sbindir}/apxs -c -o %{name}.so *.c -L%{_libdir}/mysql -lmysqlclient

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}.txt *.txt
%{_libdir}/apache/*.so

%changelog
* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.11 from 30 August, fixing problems detailed at
  http://cert.uni-stuttgart.de/advisories/apache_auth.php

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
